PHP Manual
Prev |  | Next

# ps_findfont

(PECL)

ps_findfont -- Loads a font

## Description

int ps_findfont ( resource psdoc, string fontname, string encoding [, bool embed] )

Loads a font for later use. Before text is output with a loaded font it must be set with ps_setfont(). This function needs the adobe font metric file in order to calculate the space used up by the characters. A font which is loaded within a page will only be available on that page. Fonts which are to be used in the complete document have to be loaded before the first call of ps_begin_page(). Calling ps_findfont() between pages will make that font available for all following pages.

## Parameters

psdoc

fontname

encoding

  ps_findfont() will try to load the file passed in the parameter encoding. Encoding files are of the same syntax as those used by dvips(1). They contain a font encoding vector (which is currently not used but must be present) and a list of extra ligatures to extend the list of ligatures derived from the afm file.

  encoding can be `NULL` or the empty string if the default encoding (TeXBase1) shall be used.

  If the encoding is set to builtin then there will be no reencoding and the font specific encoding will be used. This is very useful with symbol fonts.

embed

## Return Values

Returns the identifier of the font or zero in case of an error. The identifier is a positive number.

## See Also

ps_begin_page()
ps_setfont()

Prev | Home | Next
ps_fill | Up | ps_get_buffer